Bug 442369 - conga should install 'sg3_utils' and start service 'scsi_reserve' when scsi fencing is used
Summary: conga should install 'sg3_utils' and start service 'scsi_reserve' when scsi f...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: conga   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Jim Parsons
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-14 15:53 UTC by Ryan McCabe
Modified: 2009-04-16 19:51 UTC (History)
6 users (show)

Fixed In Version: RHBA-2008-0798
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-25 19:14:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0798 normal SHIPPED_LIVE conga bug fix and enhancement update 2008-07-25 19:14:11 UTC

Description Ryan McCabe 2008-04-14 15:53:27 UTC
+++ This bug was initially created as a clone of Bug #441580 +++

When shared storage support is requested when creating a cluster or adding a
cluster node, conga should install/update the 'sg3_utils' package, if necessary.

When scsi fencing is configured for a cluster node, conga should start the
'scsi_reserve' service, if it's not already running, or else scsi fencing will fail.

Comment 1 RHEL Product and Program Management 2008-04-14 16:00:08 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Brian Brock 2008-05-23 19:06:25 UTC
Checked in 0.11.1-4.el4

Doesn't install sg3_utils after creating a bogus scsi fence.  Not sure that's a
problem, I'll have to look at the fix more closely with valid fencing
configuration.  Notably, I don't get a complaint or error message about an
invalid configuration.

Comment 6 errata-xmlrpc 2008-07-25 19:14:26 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0798.html



Note You need to log in before you can comment on or make changes to this bug.